Bug 659348 - file list of rhel6 package shows (Directory) instead of checksum
file list of rhel6 package shows (Directory) instead of checksum
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
Unspecified Unspecified
urgent Severity high
: ---
: ---
Assigned To: Michael Mráka
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-12-02 10:39 EST by Jiri Kastner
Modified: 2012-09-05 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-backend-1.2.13-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-13 09:31:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-12-02 10:39:43 EST
Description of problem:
in file list of package is in checksum column displayed "(Directory)" instead of checksum.

Version-Release number of selected component (if applicable):
satellite 5.4.0

How reproducible:


Steps to Reproduce:
1. install sat 5.4.0
2. sync rhel-i386-server-6 channel
3. go to package gstreamer-0.10.29-1.el6.i686.rpm
  
Actual results:
sat 5.4.0 (gstreamer-0.10.29-1.el6.i686.rpm):
/usr/bin/gst-feedback-0.10	(Directory)	 2010-06-17 09:25:37
hosted (gstreamer-0.10.29-1.el6.i686.rpm):
/usr/bin/gst-feedback-0.10	be208b2877b05494a92f19cb2741d6dd9827c0ead5e46921363eca0998d0396c	 2010-06-17 09:25:37	3,173 bytes

Expected results:
sat 5.4.0 (gstreamer-0.10.29-1.el6.i686.rpm):
/usr/bin/gst-feedback-0.10	be208b2877b05494a92f19cb2741d6dd9827c0ead5e46921363eca0998d0396c	 2010-06-17 09:25:37	3,173 bytes
hosted (gstreamer-0.10.29-1.el6.i686.rpm):
/usr/bin/gst-feedback-0.10	be208b2877b05494a92f19cb2741d6dd9827c0ead5e46921363eca0998d0396c	 2010-06-17 09:25:37	3,173 bytes
Additional info:
Comment 1 Jiri Kastner 2010-12-02 10:44:05 EST
when synced using iss, on iss slave is no filelist
Comment 4 Michael Mráka 2010-12-03 09:37:27 EST
Both exporter and importer used wrong checksum_type attribute instead of correct checksum-type.

Fixed in spacewalk master by
commit 0c9ca5771cdfc4f8c22d2912d4b7929da3e2eb63
    659348 - import checksum-type correctly
commit 336ccbcdff49f564fd9bba235337019184623d4d
    659348 - <rhn-package-file> attribute is checksum-type not checksum_type
Comment 5 Michael Mráka 2010-12-03 09:51:30 EST
Backported to satellite git
commit 90d987e507e3ad3aaa057938314ab303f87ed17c
    659348 - import checksum-type correctly
    (cherry picked from commit 0c9ca5771cdfc4f8c22d2912d4b7929da3e2eb63)
commit f211c006cf0b3b61e143303709383f1d68d5738b
    659348 - <rhn-package-file> attribute is checksum-type not checksum_type
    (cherry picked from commit 336ccbcdff49f564fd9bba235337019184623d4d)
Comment 6 Michael Mráka 2010-12-06 06:01:37 EST
An extension to updatePackages.py to fix already synced data (spacewalk git)
commit c73d420b42791122ca482c3f89ffc8e69b790a59
    update-packages: update package file list functionality
    
    --update-package-files fixes following problems:
    1. Bug #652852 - meta data sync to ISS slave failed. This script will be able
    to insert package files which did not make it into the database as a result
    of corrupted channel / ISS export.
    
    2. Bug #659348 - file list of rhel6 package shows (Directory) instead of checksum.
    This script will be able to set correct checksum to package files which lack it.
    
    All package information are being retrieved from packages on the filer.
Comment 7 Michael Mráka 2010-12-06 08:08:03 EST
Backported to satelite git:
commit 7cbacad481307ccac8cbec17176002236c729822
    update-packages: update package file list functionality
...    
    (cherry picked from commit c73d420b42791122ca482c3f89ffc8e69b790a59)
Comment 10 errata-xmlrpc 2010-12-13 09:31:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0974.html

Note You need to log in before you can comment on or make changes to this bug.